package domain


type AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm struct {
    /*
        退款Id     */
    RefundId  *string `json:"refund_id,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        盒马子单号     */
    SubBizOrderId  *string `json:"sub_biz_order_id,omitempty" `

    /*
        退款金额     */
    RefundFee  *int64 `json:"refund_fee,omitempty" `

    /*
        退款邮费     */
    RefundPostFee  *int64 `json:"refund_post_fee,omitempty" `

}

func (s *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm) SetRefundId(v string) *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm {
    s.RefundId = &v
    return s
}
func (s *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm) SetSkuCode(v string) *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm) SetSubBizOrderId(v string) *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm {
    s.SubBizOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm) SetRefundFee(v int64) *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm {
    s.RefundFee = &v
    return s
}
func (s *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm) SetRefundPostFee(v int64) *AlibabaWdkChannelOrderRefundConfirmSubRefundConfirm {
    s.RefundPostFee = &v
    return s
}
